Contained (Tomcat API Documentation)
Keywords: org.apache.catalina.Contained interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina
Interface Contained

All Known Implementing Classes:
  AccessLogValve, AuthenticatorBase, BasicAuthenticator, ClusterSingleSignOn, CometConnectionManagerValve, DigestAuthenticator, ErrorReportValve, ExtendedAccessLogValve, FastCommonAccessLogValve, FormAuthenticator, JDBCAccessLogValve, JvmRouteBinderValve, NonLoginAuthenticator, PersistentValve, RemoteAddrValve, RemoteHostValve, ReplicationValve, RequestDumperValve, RequestFilterValve, SemaphoreValve, SingleSignOn, SSLAuthenticator, SSLValve, StandardPipeline, ValveBase, WebdavFixValve

    public interface Contained

Decoupling interface which specifies that an implementing class is associated with at most one Container instance.

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Craig R. McClanahan, Peter Donald

Method Summary
`Container` | `getContainer()` Return the `Container` with which this instance is associated (if any); otherwise return `null`.
`void` | `setContainer(Container container)` Set the `Container` with which this instance is associated.

Method Detail

### getContainer

    Container getContainer()

  Return the `Container` with which this instance is associated (if any); otherwise return `null`.

### setContainer

    void setContainer(Container container)

  Set the `Container` with which this instance is associated.

  Parameters:
    `container` - The Container instance with which this instance is to be associated, or `null` to disassociate this instance from any Container

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.